#
# spec file for package rubygem-actionpack-4_1
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-actionpack-4_1
Version:        4.1.16
Release:        1.6
%define mod_name actionpack
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -4_1
# MANUAL
%if 0%{?suse_version} == 1110
%define rb_build_versions ruby21
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://www.rubyonrails.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Web-flow and rendering framework putting the VC in MVC (part of
License:        MIT
Group:          Development/Languages/Ruby

%description
Web apps on Rails. Simple, battle-tested conventions for building and testing
MVC web applications. Works with any Rack-compatible server.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Wed Jul 13 2016 coolo@suse.com
- updated to version 4.1.16
  see installed CHANGELOG.md
  [#]# Rails 4.1.16 (July 12, 2016) ##
  * No changes.
* Tue Mar  8 2016 coolo@suse.com
- updated to version 4.1.15
  see installed CHANGELOG.md
  [#]# Rails 4.1.15 (March 07, 2016) ##
  * No changes.
* Tue Mar  1 2016 coolo@suse.com
- updated to version 4.1.14.2
  see installed CHANGELOG.md
  [#]# Rails 4.1.14.2 (February 26, 2016) ##
  * Do not allow render with unpermitted parameter.
    Fixes CVE-2016-2098.
  * Arthur Neves*
  [#]# Rails 4.1.14.1 (January 25, 2015) ##
  * No changes.
* Tue Jan 26 2016 coolo@suse.com
- updated to version 4.1.14.1
  see installed CHANGELOG.md
* Fri Nov 13 2015 coolo@suse.com
- updated to version 4.1.14
  see installed CHANGELOG.md
  [#]# Rails 4.1.14 (November 12, 2015) ##
  * No changes.
* Tue Aug 25 2015 coolo@suse.com
- updated to version 4.1.13
  see installed CHANGELOG.md
  [#]# Rails 4.1.13 (August 24, 2015) ##
  * No changes.
* Fri Jun 26 2015 coolo@suse.com
- updated to version 4.1.12
  see installed CHANGELOG.md
  [#]# Rails 4.1.12 (June 25, 2015) ##
  * Fix handling of empty X_FORWARDED_HOST header in raw_host_with_port
    Previously, an empty X_FORWARDED_HOST header would cause
    Actiondispatch::Http:URL.raw_host_with_port to return nil, causing
    Actiondispatch::Http:URL.host to raise a NoMethodError.
  * Adam Forsyth*
  * Fix regression in functional tests. Responses should have default headers
    assigned.
    See #18423.
  * Jeremy Kemper*, *Yves Senn*
* Wed Jun 17 2015 coolo@suse.com
- updated to version 4.1.11
  see installed CHANGELOG.md
  [#]# Rails 4.1.11 (June 16, 2015) ##
  * No changes.
* Sun Mar 22 2015 coolo@suse.com
- updated to version 4.1.10
  * Preserve default format when generating URLs
    Fixes an issue that would cause the format set in default_url_options to be
    lost when generating URLs with fewer positional arguments than parameters in
    the route definition.
    Backport of #18627
  * Tekin Suleyman*, *Dominic Baggott*
  * Default headers, removed in controller actions, are no longer reapplied on
    the test response.
  * Jonas Baumann*
  * Ensure `append_info_to_payload` is called even if an exception is raised.
    Fixes an issue where when an exception is raised in the request the additonal
    payload data is not available.
    See:
  * #14903
  * https://github.com/roidrage/lograge/issues/37
  * Dieter Komendera*, *Margus Pärt*
* Mon Jan 19 2015 dmueller@suse.com
-  update to 4.1.9:
  * Fixed handling of positional url helper arguments when `format: false`.
  * Restore handling of a bare `Authorization` header, without `token=`
    prefix.
  * Fix regression where path was getting overwritten when route anchor was false, and X-Cascade pass
  * Fix a bug where malformed query strings lead to 500.
  * Fix arbitrary file existence disclosure in Action Pack (CVE-2014-7829)
  * Fix arbitrary file existence disclosure in Action Pack (CVE-2014-7818)
* Mon Nov 10 2014 tboerger@suse.com
- To get rails 4 running on SLE 11 i have switched the
  rb_build_versions definition to rub21 as it is activated within
  devel:languages:ruby. That way we can get running rails 4 on
  SLE 11 too.
* Sun Oct 12 2014 coolo@suse.com
- updated to version 4.1.6
  * Prepend a JS comment to JSONP callbacks. Addresses CVE-2014-4671
    ("Rosetta Flash")
  * Because URI paths may contain non US-ASCII characters we need to force
    the encoding of any unescaped URIs to UTF-8 if they are US-ASCII.
    This essentially replicates the functionality of the monkey patch to
    URI.parser.unescape in active_support/core_ext/uri.rb.
    Fixes #16104.
  * Generate shallow paths for all children of shallow resources.
    Fixes #15783.
  * JSONP responses are now rendered with the `text/javascript` content type
    when rendering through a `respond_to` block.
    Fixes #15081.
  * Fix env['PATH_INFO'] missing leading slash when a rack app mounted at '/'.
    Fixes #15511.
  * ActionController::Parameters#require now accepts `false` values.
    Fixes #15685.
* Wed Jul 23 2014 mrueckert@suse.com
- - initial package
